org.springframework.util

## Interface ConcurrentReferenceHashMap.Reference<K,V>

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

    protected static interface ConcurrentReferenceHashMap.Reference<K,V>

A reference to an `ConcurrentReferenceHashMap.Entry` contained in the map. Implementations are usually wrappers around specific Java reference implementations (e.g., `SoftReference`).

### Method Summary

Methods
`ConcurrentReferenceHashMap.Entry<K,V>` `get()` Returns the referenced entry or `null` if the entry is no longer available.
`int` `getHash()` Returns the hash for the reference.
`ConcurrentReferenceHashMap.Reference<K,V>` `getNext()` Returns the next reference in the chain or `null`
`void` `release()` Release this entry and ensure that it will be returned from `ConcurrentReferenceHashMap.ReferenceManager.pollForPurge()`.

### Method Detail

#### get

    ConcurrentReferenceHashMap.Entry<K,V> get()

Returns the referenced entry or `null` if the entry is no longer available.

Returns:
  the entry or `null`

#### getHash

    int getHash()

Returns the hash for the reference.

Returns:
  the hash

#### getNext

    ConcurrentReferenceHashMap.Reference<K,V> getNext()

Returns the next reference in the chain or `null`

Returns:
  the next reference of `null`

#### release

    void release()

Release this entry and ensure that it will be returned from `ConcurrentReferenceHashMap.ReferenceManager.pollForPurge()`.